<div class="input">
  <label
    *ngIf="label"
    for="input-field"
    class="input__label">
    {{ label | uppercase}}:
  </label>
  <input
    id="input-field"
    class="input__input"
    [type]="type"
    [class.input__input--error]="error"
    [attr.disabled]="disabled ? 'disabled' : null"
    [attr.maxlength]="maxLength ? null : maxLength"
    [placeholder]="(placeholder | uppercase) + SUPPORTIVE_TEXTS.DOTS"
    [attr.aria-label]="label || placeholder"
    [attr.aria-invalid]="error"
    (input)="onInput($event)"
  />
  <div
    *ngIf="error && errorMsg"
    class="input__info"
    [class.input__info--error]="error">
    {{ errorMsg }}
  </div>
</div>
